Bug 918421 - find_package(OGRE) fails in cmake with ogre-devel installed.
Summary: find_package(OGRE) fails in cmake with ogre-devel installed.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ogre
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bruno Wolff III
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-06 08:31 UTC by Marcel Metz
Modified: 2014-02-05 23:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 23:19:49 UTC


Attachments (Terms of Use)

Description Marcel Metz 2013-03-06 08:31:19 UTC
Description of problem:
The ogre-devel package provides some cmake module files. However, those cmake modules are installed not in within a the default cmake module search path.

Version-Release number of selected component (if applicable):


How reproducible:
Create a simple cmake project file and try to configure it. The packages cmake and ogre-devel must be installed. 

Steps to Reproduce:
1. mkdir test && cd test
2.
cat << 'EOF' > CMakeLists.txt
cmake_minimum_required(VERSION 2.8)
find_package(OGRE)
EOF 
3. cmake .
  
Actual results:
CMake Warning at CMakeLists.txt:2 (find_package):
  By not providing "FindOGRE.cmake" in CMAKE_MODULE_PATH this project has
  asked CMake to find a package configuration file provided by "OGRE", but
  CMake did not find one.

  Could not find a package configuration file provided by "OGRE" with any of
  the following names:

    OGREConfig.cmake
    ogre-config.cmake

  Add the installation prefix of "OGRE" to CMAKE_PREFIX_PATH or set
  "OGRE_DIR" to a directory containing one of the above files.  If "OGRE"
  provides a separate development package or SDK, be sure it has been
  installed.


Expected results:
CMake configuration is performed without warning.

Additional info:
Adding a dependency to the cmake package to the ogre-devel package and installing the *.cmake files currently located in /usr/lib{,64}/OGRE/cmake/ to /usr/share/cmake/Modules/ should fix this.

Comment 1 Bruno Wolff III 2013-03-06 13:26:36 UTC
I'll take a look at this. I have mostly seen packages include their own copy of the ogre cmake files and didn't know that there was a place for system copies.

Comment 2 Bruno Wolff III 2013-04-20 11:00:10 UTC
I have committed a change to fix this. I am going to try to keep the ogre stuff in a subdirectory. It looks like some other packages do this as well. Initially I'll just have f19 and rawhide builds with this change.

Comment 3 Fedora Update System 2013-04-20 16:23:40 UTC
ogre-1.8.1-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ogre-1.8.1-6.fc19

Comment 4 Marcel Metz 2013-04-20 21:55:09 UTC
I tested the packages provided under

http://koji.fedoraproject.org/koji/buildinfo?buildID=413143 

and they didn't fix the issue.

The OGRE Modules are now located in /usr/share/cmake/MODULES/OGRE instead of /usr/share/cmake/Modules/OGRE. Also cmake doesn't search in subdirectories. The Find*.cmake modules MUST be located /usr/share/cmake/Modules/ to be found. I can't say anything about the other modules, but I would assume that they are included by the Find*.cmake modules by some means.

Comment 5 Bruno Wolff III 2013-04-21 04:32:29 UTC
Thanks for the feedback. I'll get fixed builds out shortly.

Comment 6 Fedora Update System 2013-04-21 05:12:05 UTC
ogre-1.8.1-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ogre-1.8.1-7.fc19

Comment 7 Marcel Metz 2013-04-21 08:52:27 UTC
I tested the packages provided under

http://koji.fedoraproject.org/koji/buildinfo?buildID=413227

and they DID FIX the issue.

Thanks for your effort. Is there anything that I can do to help release those packages and also getting them into 17 and 18?

Comment 8 Bruno Wolff III 2013-04-21 14:48:33 UTC
By testing the fixes and by indicating they would be useful to someone if they were backported. Hmm, you just did that.

The two fixes seem pretty unlikely to break anything and I expect will be pretty much the same changes in 1.7.*, so I'll make an effort to get these backported. Probably I'll get new builds today since continuing to work on this now instead of switching to another task and getting back to it later will be less efficient.

Comment 9 Bruno Wolff III 2013-04-21 17:20:24 UTC
I'm working on a 1.7 version of this for f18 now. If the scratch build I have going works I'll put out a test build. 1.7 was enough different than 1.8 that I had to make some significant changes so I want to get f18 working before I move stuff over to f17. f17 should be pretty close to f18 even though it is using 1.7.3 instead of 1.7.4.

You'll see an update to this bug when I submit the f18 package for testing.

Comment 10 Fedora Update System 2013-04-21 18:50:34 UTC
ogre-1.7.4-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ogre-1.7.4-6.fc18

Comment 11 Bruno Wolff III 2013-04-23 14:49:43 UTC
Let me know if the f18 version works and still solves the problem. Once that one is OK, I'll do f17.

Comment 12 Fedora Update System 2013-04-25 14:01:12 UTC
ogre-1.8.1-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-06-07 23:53:05 UTC
ogre-1.7.4-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora End Of Life 2013-12-21 15:45:04 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2014-02-05 23:19:49 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.